addJob {seqminer} | R Documentation

## Add a job to a workflow

### Description

Add a job to a workflow

### Usage

    addJob(wf, job)

### Arguments

`wf` | a variable of workflow class
`job` | a variable of job class

### Examples

    j1 <- newJob('id1', 'cmd out1', 'out1')
    j2 <- newJob('id2', 'cmd out2', 'out2', depend = 'out1')
    w <- newWorkflow("wf")
    w <- addJob(w, j1)
    w <- addJob(w, j2)
    writeWorkflow(w, "Makefile")

[Package seqminer version 7.1 Index]